Page MenuHomePhabricator

Define instrumentation needs for the WikimediaEditorTasks extension, and add it
Closed, ResolvedPublic

Description

Note: this refers to operations-type monitoring, not product analytics.

Event Timeline

Mholloway triaged this task as High priority.Feb 8 2019, 8:02 PM
Mholloway created this task.
Mholloway lowered the priority of this task from High to Medium.Mar 5 2019, 5:09 PM
Mholloway updated the task description. (Show Details)
Mholloway removed Mholloway as the assignee of this task.May 14 2019, 4:10 PM

I'll probably end up picking this back up again, but anyone can work on it in the meantime.

@Mholloway why is this on needs analysis? Does it need fleshing out?

Do we have a way to know how the extension apis are being used? If we do, and given this sits within the Php infrastructure we could possibly close this task.

Mholloway added a comment.EditedAug 8 2019, 2:12 PM

The only part of the extension that is being used is the edit counting, which is quite simple. The Android app is using that in production and to the best of my knowledge it's working well.

The task suggestion API module is unused by any WMF product (and is marked unstable/internal). The generator=random approach to generating suggestions doesn't interact with it.

Request and error logging for the extension is handled by WMF's general MediaWiki monitoring infrastructure. Error logs are available via Logstash and webrequest logs are available in Hive. (Gergo has access to the machines running Hive but I don't think any of the rest of us do at present, except maybe Jason.) The MW API has no response time monitoring or logging as far as I can tell.

I don't really think there is anything that needs to be done here. +1 from me to closing.

Jhernandez closed this task as Resolved.Aug 9 2019, 5:12 PM
Jhernandez claimed this task.

Closing then.